{
    attributes = (
        {
            columnName = "CLIC_ID"; 
            externalType = NUMBER; 
            name = clicId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLIC_NUM_COMPLET"; 
            externalType = VARCHAR2; 
            name = clicNumComplet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = "COMM_ID"; 
            externalType = NUMBER; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPCO_ID"; 
            externalType = NUMBER; 
            name = dpcoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "INV_ID"; 
            externalType = NUMBER; 
            name = invId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "INVC_ID"; 
            externalType = NUMBER; 
            name = invcId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LID_MONTANT"; 
            externalType = NUMBER; 
            name = lidMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "LID_ORDRE"; 
            externalType = NUMBER; 
            name = lidOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LIV_ORDRE"; 
            externalType = NUMBER; 
            name = livOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        pcoNum, 
        livOrdre, 
        tcdOrdre, 
        invcId, 
        dpcoId, 
        orgId, 
        invId, 
        clicId, 
        clicNumComplet, 
        commId, 
        lidOrdre
    ); 
    className = "org.cocktail.corossol.serveur.eof.metier.EOVInventaire"; 
    classProperties = (
        pcoNum, 
        livOrdre, 
        cleInventaireComptable, 
        tcdOrdre, 
        livraison, 
        inventaireComptable, 
        invcId, 
        dpcoId, 
        orgId, 
        invId, 
        clicId, 
        clicNumComplet, 
        lidMontant, 
        commId, 
        lidOrdre
    ); 
    externalName = "JEFY_INVENTAIRE.V_INVENTAIRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pcoNum, 
            livOrdre, 
            cleInventaireComptable, 
            tcdOrdre, 
            livraison, 
            inventaireComptable, 
            invcId, 
            dpcoId, 
            orgId, 
            invId, 
            clicId, 
            clicNumComplet, 
            lidMontant, 
            commId, 
            lidOrdre
        ); 
        "_javaClientClassName" = "org.cocktail.corossol.client.eof.metier.EOVInventaire"; 
    }; 
    name = VInventaire; 
    primaryKeyAttributes = (livOrdre, invcId, invId, clicId, lidOrdre); 
    relationships = (
        {
            destination = CleInventaireComptable; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = clicId; sourceAttribute = clicId; }); 
            name = cleInventaireComptable; 
        }, 
        {
            destination = InventaireComptable; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = invcId; sourceAttribute = invcId; }); 
            name = inventaireComptable; 
        }, 
        {
            destination = Livraison; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = livOrdre; sourceAttribute = livOrdre; }); 
            name = livraison; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
